/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.DetalleAbonos;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface DetalleAbonosFacadeLocal {

    void create(DetalleAbonos detalleAbonos);

    void edit(DetalleAbonos detalleAbonos);

    void remove(DetalleAbonos detalleAbonos);

    DetalleAbonos find(Object id);

    List<DetalleAbonos> findAll();

    List<DetalleAbonos> findRange(int[] range);

    int count();

    List<DetalleAbonos> obternerDetalles(String abonoCodigo, String abonoTipo);

    void nuevo(DetalleAbonos detalle);


}
